// Wagons
//
#ifndef(Horse1)  // define horses if not already included
  #include "../med/horse.inc"
#end

#declare Wagon_Wheel_WoodRim=difference{
           cylinder{<0,0,-.04><0,0,.04>.5 texture{T_Wood13}}
           cylinder{<0,0,-.041><0,0,.041>.43 texture{T_Wood13}}
}
#declare Wagon_Wheel_Rim=difference{
           cylinder{<0,0,-.04><0,0,.04>.515 texture{pigment{color Gray50}}}
           cylinder{<0,0,-.041><0,0,.041>.50 texture{T_Wood13}}
}
#declare Wagon_Wheel=union{
           object{Wagon_Wheel_WoodRim}
           object{Wagon_Wheel_Rim}
           cone{<0,0,-.1>.12<0,0,0>,.15 texture{T_Wood13}}
           cone{<0,0,0>.15 <0,0,.1>.12 texture{T_Wood13}}
           cylinder{<0,0,-.12><0,0,.12>.10 texture{pigment{color Gray50}}}
           cylinder{<0,0,-.14><0,0,.14>.08 texture{T_Wood13}}
           cylinder{<0,0,-.2><0,0,.1>,.06 texture{pigment{color Gray50}}}
           #declare Count=0;
           #while (Count<360)
                   cone{<0,.3,0>,.03 <0,.5,0>,.02 rotate<0,0,Count> texture{T_Wood13 rotate<90,0,0>}}
                   cylinder{<0,0,0><0,.3,0>,.03 rotate<0,0,Count> texture{T_Wood13 rotate<90,0,0>}}
                   #declare Count=Count+30;
            #end
}

#declare Wagon_Frame_Wheel_Mount=union{
            box{<-.3,0,-.1><.3,.2,.1> texture{T_Wood13 rotate<0,90,0>}}
            box{<-.4,.23,-.1><.4,.43,.1> texture{T_Wood13 rotate<0,90,0>}}
}
#declare Wagon_Frame_Axel_Mount=union{
          object{Wagon_Frame_Wheel_Mount translate<0,0,-.75>}
          object{Wagon_Frame_Wheel_Mount translate<0,0,.75>}
          box{<-.1,.46,-.86><.1,.66,.86> texture{T_Wood13 rotate<0,0,0>}}
          cylinder{<-.075,.66,-.8><-.075,.68,-.8>,.02 texture{pigment{color Gray50}}}  //bolt
          cylinder{<-.075,.66,.8><-.075,.68,.8>,.02 texture{pigment{color Gray50}}}   // bolt
          cylinder{<.075,.66,-.8><.075,.68,-.8>,.02 texture{pigment{color Gray50}}}  //bolt
          cylinder{<.075,.66,.8><.075,.68,.8>,.02 texture{pigment{color Gray50}}}   // bolt
          cone{<0,.13,-.76>,.1<0,.43,0>,.1 texture{T_Wood13}}
          cone{<0,.13,.76>,.1<0,.43,0>,.1 texture{T_Wood13}}
          cylinder{<0,.05,-1.28><0,.05,1.28>.03 texture{pigment{color Gray50}}}  //axel
          box{<-.5,.5,-.4><.5,.7,-.2> texture{T_Wood13 rotate<0,90,0>}}
          box{<-.5,.5,.4><.5,.7,.2> texture{T_Wood13 rotate<0,90,0>}}
}

#declare Wagon_Tongue=union{
          cylinder{<0,0,-.14><0,0,-.08>.06 texture{T_Wood13 rotate<0,90,0>}}
          cylinder{<0,0,.14><0,0,.08>.06 texture{T_Wood13 rotate<0,90,0>}}
          box{<0,-.06,-.14><.2,.06,-.08> texture{T_Wood13 rotate<0,90,0>}}
          box{<0,-.06,.08><.2,.06,.14> texture{T_Wood13 rotate<0,90,0>}}
          box{<.19,-.06,-.14><.4,.06,.14> texture{T_Wood13 rotate<0,90,0>}}
          cone{<.39,0,0>.06<2.79,0,0>.03 texture{T_Wood13 rotate<0,90,0>}}
}
#declare Wagon_Seat_Foot=union{
          box{<-.05,-.4,-.71><.05,.05,-.61> texture{T_Wood13}}
          box{<-.05,-.4,-.05><.05,.05,.05> texture{T_Wood13}}
          box{<-.05,-.4,.61><.05,.05,.71> texture{T_Wood13}}
          box{<.0,-.35,-.75><.15,-.31,.75> texture{T_Wood13}}
}

#declare Wagon_Frame_Front=union{
          object{Wagon_Frame_Axel_Mount}

          box{<.3,.3,-.4><.5,.5,.4> texture{T_Wood13}}
          cylinder{<.45,.32,0><.45,.52,0> .25 texture{T_Wood13}}
          cylinder{<.45,.52,0><.45,.72,0> .01 texture{pigment{color Gray50}}}  // pin

          cylinder{<.45,.54,0><.45,.64,0>.06 texture{T_Wood13 rotate<0,90,0>}}
          box{<.45,.54,-.06><.95,.64,.06> texture{T_Wood13 rotate<0,90,0>}}
          cylinder{<.8,.59,-.26><.8,.59,.26>,.01 texture{pigment{color Gray50}}}  // tongue pin
          object{Wagon_Tongue rotate<0,0,0> translate<.8,.59,0>}

          cylinder{<0,.56,0><0,.76,0>.25 texture{T_Wood13} translate<-.5,0,0>}      // rear wagon hitch
          cylinder{<0,.75,0><0,1,0>.05 texture{pigment{color Gray50}} translate<-.5,0,0>}

         // seats
          box{<-.08,.65,-.73><.08,1.6,-.53> texture{T_Wood13 scale .5 rotate<90,0,0>}}
          box{<-.08,.65,-.08><.08,1.6,.08> texture{T_Wood13 scale .5 rotate<90,0,0>}}
          box{<-.08,.65,.57><.08,1.6,.73> texture{T_Wood13 scale .5 rotate<90,0,0>}}
          box{<-.1,1.15,-.71><.4,1.35,-.61> texture{T_Wood13}}
          box{<-.1,1.15,-.05><.4,1.35,.05> texture{T_Wood13}}
          box{<-.1,1.15,.61><.4,1.35,.71> texture{T_Wood13}}

          box{<.08,1.45,-.75><.11,1.65,.75> texture{T_Wood13}}  // back
          box{<.1,1.36,-.75><.3,1.39,.75> texture{T_Wood13}}      // seat
          box{<.32,1.36,-.75><.47,1.39,.75> texture{T_Wood13}}  // seat
          object{Wagon_Seat_Foot rotate<0,0,30> translate<.4,1.3,0>}
}

#declare Wagon_Frame_2=union{
        object{Wagon_Frame_Axel_Mount }
         box{<.33,.52,-.45><.47,.67,.45> texture{T_Wood13}}
         cylinder{<.45,.52,0><.45,.72,0> .25 texture{T_Wood13}}
         cylinder{<.45,.72,0><.45,.92,0> .05 texture{pigment{color Gray50}}}  // pin
         cylinder{<.45,.75,0><.45,.85,0>,.1 texture{T_Wood13 rotate<0,90,0>}}
         cylinder{<1.,.75,0><1.,.85,0>,.1 texture{T_Wood13 rotate<0,90,0>}}
         box{<.45,.75,-.1><1,.85,.1> texture{T_Wood13 rotate<0,90,0>}}
}
#declare Wagon_Bed=union{
         box{<-2,-.1,-.6><2,.1,-.55> texture{T_Wood13 rotate<0,0,90>}}
         box{<-2,-.1,.55><2,.1,.6> texture{T_Wood13 rotate<0,0,90>}}
         #declare Count=-1.75;
         #while (Count<=1.75)
                 box{<Count,.1,-.95><Count+.1,.2,.95> texture{T_Wood13 rotate<0,0,90>}}
                 box{<Count,.2,-.93><Count+.1,.96,-.90> texture{T_Wood13 rotate<0,0,90>}}
                 box{<Count,.2,.90><Count+.1,.96,.93> texture{T_Wood13 rotate<0,0,90>}}
                #declare Count=Count+.5;
         #end
         #declare Count=-.9;
         #while (Count<=.9)
                 box{<-2,.22,Count><2,.25,Count+.13> texture{T_Wood13 scale .5 rotate<0,90,0>}}
                #declare Count=Count+.15;
         #end
         #declare Count=.28;
         #while (Count<=.9)
           box{<-2,Count,-.98><2,Count+.05,-.95> texture{T_Wood13 rotate<0,90,0>}}
           box{<-2,Count,.98><2,Count+.05,.95> texture{T_Wood13 rotate<0,90,0>}}
           #declare Count=Count+.12;
         #end
}
#declare Carriage_Door_Knob=union{
  box{<-.035,-.1,-.02><.035,.1,.02>}
  cylinder{<0,0,-.04><0,0,.04> .01}
  cylinder{<0,0,-.04><0,0,-.06> .02}
  cylinder{<0,0,.04><0,0,.06> .02}
  box{<-.08,-.015,-.01><.08,.015,-.01> translate<-.08,0,-.05>}
  box{<-.08,-.015,-.01><.08,.015,-.01> translate<-.08,0,.05>}
 texture{Gold_Nugget}
}  
#declare Carriage_Door=union{
   box{<.2,-.63,-.015><.3,.9,.015> texture{T_Wood13 rotate<0,90,90>}}
   box{<-.25,-.63,-.015><-.15,.9,.015> texture{T_Wood13 rotate<0,90,90>}}
   box{<-.15,-.63,-.01><.2,-.53,.01> texture{T_Wood13}}
   box{<-.15,.8,-.01><.2,.9,.01> texture{T_Wood13}}
   box{<-.15,.1,-.01><.2,.2,.01> texture{T_Wood13}}
   box{<-.15,-.55,-.005><.2,.1,.005>}  // panel insert
   object{Carriage_Door_Knob translate<.25,.15,0>}
}
#declare Carriage_Step=union{
   box{<-.385,-.88,-.15><.4,-.85,.15> texture{T_Wood13 rotate<90,90,0>}}
   box{<-.4,-.89,.01><-.37,-.7,.3> texture{T_Wood13}}
   box{<.37,-.89,.01><.4,-.7,.3> texture{T_Wood13}}
}
#declare Carriage_Bed=union{
      object{Carriage_Door translate<.59,-.02,-.85>}
      object{Carriage_Step translate<.59,0,-.85>}
      object{Carriage_Door translate<.59,-.02,.85>}
      object{Carriage_Step rotate<0,180,0> translate<.59,0,.85>}
                                             
       union{                                             
         box{<-1,-.2,-.75><0,0,-.6>   }
         box{<-1,-.2,.6><0,0,.75>     }
         box{<1.25,-.2,-.75><2,0,-.6> }
         box{<1.25,-.2,.6><2,0,.75>   }         
        texture{T_Wood13 rotate<0,0,90>}
       }  

       union{
         box{<.01,-.22,-.8><-.1,-.02,.8>   }
         box{<1.24,-.22,-.8><1.35,-.02,.8> }         
         box{<.01,-.45,-.8><-.1,-.23,.8>   }
         box{<1.24,-.45,-.8><1.35,-.23,.8> }
         box{<.01,-.46,-.8><-.1,-.65,.8>   }
         box{<1.24,-.46,-.8><1.35,-.65,.8> }
         
         box{<-.8,-.5,-.8><-.7,-.4,.8>}
        texture{T_Wood13}
       }             
       union{
         box{<-.7,-.5,-.852><-.8,.9,-.75> }
         box{<-.7,-.5,.75><-.8,.9,.852>   }         
         box{<-.2,-.75,-.852><-.3,.9,-.8> }
         box{<-.2,-.75,.8><-.3,.9,.852>   }
         box{<.2,-.75,-.852><.3,.9,-.8>   }
         box{<.2,-.75,.8><.3,.9,.852>     }
       
         box{<1.8,-.5,-.852><1.9,.9,-.8> }
         box{<1.8,-.5,.8><1.9,.9,.852>   }         
         box{<1.4,-.75,-.852><1.5,.9,-.8>}
         box{<1.4,-.75,.8><1.5,.9,.852>  }
         box{<1.,-.75,-.852><.9,.9,-.8>  }
         box{<1.,-.75,.8><.9,.9,.852>    }
         
         box{<-.8,-.5,-.05><-.7,.9,.05>}
         
        texture{T_Wood13 rotate<0,90,90>}
       }
                                                                        
         box{<-.3,-.65,-.79><1.5,-.66,.79> texture{T_Wood13}} // floor of coach
         box{<-.3,-.75,-.85><1.5,-.65,-.8> texture{T_Wood13 rotate<0,0,90>}}
         box{<-.3,-.75,.8><1.5,-.65,.85> texture{T_Wood13 rotate<0,0,90>}}       
         
         box{<-.3,.05,-.85><.2,.15,-.8> texture{T_Wood13 rotate<0,0,90>}}
         box{<-.3,.05,.8><.2,.15,.85> texture{T_Wood13 rotate<0,0,90>}}    
         box{<1.4,.05,-.85><1,.15,-.8> texture{T_Wood13 rotate<0,0,90>}}
         box{<1.4,.05,.8><1,.15,.85> texture{T_Wood13 rotate<0,0,90>}}

         box{<-.8,.8,-.85><.2,.9,-.8> texture{T_Wood13 rotate<0,0,90>}}
         box{<-.8,.8,.8><.2,.9,.85> texture{T_Wood13 rotate<0,0,90>}}    
         box{<1.9,.8,-.85><1,.9,-.8> texture{T_Wood13 rotate<0,0,90>}}
         box{<1.9,.8,.8><1,.9,.85> texture{T_Wood13 rotate<0,0,90>}} 
         
         box{<-1.1,0,-.8><-.8,.03,.8> texture{T_Wood13}}        
                                        
       union{                                        
         box{<-.3,-.74,-.82><.2,.14,-.81> } // panels
         box{<-.3,-.74,.81><.2,.14,.82> }    
         box{<1.4,-.74,-.82><1,.14,-.81> }
         box{<1.4,-.74,.81><1,.14,.82> }
         
         box{<-.8,-.5,-.83><-.3,.9,-.82>}  // far rear/ far front panels
         box{<-.8,-.5,.82><-.3,.9,.83> }    
         box{<1.9,-.5,-.83><1.5,.9,-.82> }
         box{<1.9,-.5,.82><1.5,.9,.83> }

         box{<1.88,-.5,-.8><1.89,.9,.8>} // end panels
         box{<-.79,-.5,-.8><-.78,.9,.8>}                        
                                      
       // texture{pigment{color Red}}
       } 
         
         box{<-.9,.9,-.86><2,1,.86> texture{T_Wood13 rotate<0,0,90>}} // top
         box{<-.89,1,-.84><1.99,1.01,.84>} // texture{pigment{color Red}}}
         box{<-.88,1.01,-.83><1.98,1.02,.83> texture{T_Wood13 rotate<0,0,90>}}
         box{<-.87,1.02,-.83><1.98,1.03,.83>} // texture{pigment{color Red}}}
         box{<-.86,1.03,-.82><1.97,1.04,.82> texture{T_Wood13 rotate<0,0,90>}}                           
} 
#declare Carriage_Brass_Joint=union{
   sphere{<0,0,0> .02}
   cylinder{<0,0,0><0,-.1,0> .01}
}
#declare Carriage_Brass_Base=union{   
   cylinder{<0,-.1,0><0,-.08,0> .02}
   #declare R1=0;
   #while (R1<=360)  // rivets
     sphere{<0,-.08,0> .0035 translate<.15,0,0> rotate<0,R1,0>}
     #declare R1=R1+45;
   #end
}
#declare Carriage_Bases=union{
   object{Carriage_Brass_Base translate<-.8,0,-.8> }  
   object{Carriage_Brass_Base translate<-.8,0,.8> }   
   object{Carriage_Brass_Base translate<1.9,0,-.8> }   
   object{Carriage_Brass_Base translate<1.9,0,.8> }
   object{Carriage_Brass_Base translate<-.4,0,-.8> }  
   object{Carriage_Brass_Base translate<-.4,0,.8> }   
   object{Carriage_Brass_Base translate<1.5,0,-.8> }   
   object{Carriage_Brass_Base translate<1.5,0,.8> }
   object{Carriage_Brass_Base translate<.5,0,-.8> }   
   object{Carriage_Brass_Base translate<.5,0,.8> }
   
  texture{Gold_Nugget}                 
}               
#declare Carriage_Brass=union{
   object{Carriage_Brass_Joint translate<-.8,0,-.8> }  
   object{Carriage_Brass_Joint translate<-.8,0,.8> }   
   object{Carriage_Brass_Joint translate<1.9,0,-.8> }   
   object{Carriage_Brass_Joint translate<1.9,0,.8> }
   object{Carriage_Brass_Joint translate<-.4,0,-.8> }  
   object{Carriage_Brass_Joint translate<-.4,0,.8> }   
   object{Carriage_Brass_Joint translate<1.5,0,-.8> }   
   object{Carriage_Brass_Joint translate<1.5,0,.8> }
   object{Carriage_Brass_Joint translate<.5,0,-.8> }   
   object{Carriage_Brass_Joint translate<.5,0,.8> }              
   
   cylinder{<-.8,0,-.8><-.8,0,.8> .01}
   cylinder{<1.9,0,-.8><1.9,0,.8> .01}
   cylinder{<-.8,0,-.8><1.9,0,-.8> .01}
   cylinder{<-.8,0,.8><1.9,0,.8> .01}
   
  texture{Gold_Nugget}
}
   
//------------------------------- Work Wagon
#declare Wagon1=union{
        object{Wagon_Frame_Front}
        object{Wagon_Wheel translate<0,.05,-1.05>}
        object{Wagon_Wheel translate<0,.05,1.05>}
        object{Wagon_Frame_2 translate<-1.5,0,0> }
        object{Wagon_Frame_Axel_Mount translate<-3.5,0,0> }
        object{Wagon_Bed translate<-2.5,.7,0>}
        object{Wagon_Wheel translate<-1.5,.05,-1.05>}
        object{Wagon_Wheel translate<-1.5,.05,1.05>}
        object{Wagon_Wheel translate<-3.5,.05,-1.05>}
        object{Wagon_Wheel translate<-3.5,.05,1.05>}
}
#declare Wagon3=union{
        object{Wagon_Frame_Front translate<-.5,0,0>}
//        object{Wagon_Wheel translate<0,.05,-1.05>}
//        object{Wagon_Wheel translate<0,.05,1.05>}
//        object{Wagon_Frame_2 translate<-1,0,0> }
        object{Wagon_Frame_Axel_Mount translate<-3,0,0> }
        object{Wagon_Bed translate<-2.5,.7,0>}
        object{Wagon_Wheel translate<-.5,.05,-1.05>}
        object{Wagon_Wheel translate<-.5,.05,1.05>}
        object{Wagon_Wheel translate<-3,.05,-1.05>}
        object{Wagon_Wheel translate<-3,.05,1.05>}
}
#declare Wagon4=union{
        object{Wagon_Frame_Front translate<-.5,0,0>}
//        object{Wagon_Wheel translate<0,.05,-1.05>}
//        object{Wagon_Wheel translate<0,.05,1.05>}
//        object{Wagon_Frame_2 translate<-1,0,0> }
        object{Wagon_Frame_Axel_Mount translate<-3,0,0> }
        
        object{Carriage_Bed translate<-2.5,.7,0> }
        object{Carriage_Bases translate<-2.5,1.83,0>}  // base plates
        object{Carriage_Brass translate<-2.5,1.83,0>} 
        object{Carriage_Brass translate<-2.5,1.87,0>}
                
        object{Wagon_Wheel translate<-.5,.05,-1.05>}
        object{Wagon_Wheel translate<-.5,.05,1.05>}
        object{Wagon_Wheel translate<-3,.05,-1.05>}
        object{Wagon_Wheel translate<-3,.05,1.05>}
}
//------------------------------ Carriage Vehicle
#declare Rear_Stairs=union{
      box{<-.3,0,-.5><-.15,.04,.5> texture{T_Wood13}}
      box{<-.15,.25,-.5><0,.29,.5> texture{T_Wood13}}
      box{<0,.50,-.5><.15,.54,.5> texture{T_Wood13}}
      box{<-.30,0,-.45><.25,.15,-.42> rotate<0,0,45> translate<0,.1,0> texture{T_Wood13}}
      box{<-.30,0,.45><.25,.15,.42> rotate<0,0,45> translate<0,.1,0> texture{T_Wood13}}
}
#declare Rear_Door=union{
      box{<-.05,0,-.3><.05,1.5,-.2> texture{T_Wood13}}
      box{<-.05,0,.2><.05,1.5,.3> texture{T_Wood13}}
      box{<-.049,0,-.2><.049,.2,.2> texture{T_Wood13}}
      box{<-.049,.65,-.2><.049,.75,.2> texture{T_Wood13}}
      box{<-.049,1.45,-.2><.049,1.5,.2> texture{T_Wood13}}
      box{<-.01,.2,-.2><.01,.65,.2> texture{pigment{color White}}}
}
#declare Carriage=union{
         box{<-2,-.1,-.6><2,.1,-.55> texture{T_Wood13}}
         box{<-2,-.1,.55><2,.1,.6> texture{T_Wood13}}
         difference{
           union{
             box{<-2,.23,-1><2,1.5,1> texture{pigment{color White}}}
             box{<-2.051,.23,-1.051><2.051,.33,1.051> texture{T_Wood13 rotate<90,90,0>}}
             box{<-2.051,.93,-1.051><2.051,1.03,1.051> texture{T_Wood13 rotate<90,90,0>}}
             box{<-2.051,1.85,-1.051><2.051,1.93,1.051> texture{T_Wood13 rotate<90,90,0>}}
             cylinder{<-2,1.4,0><2,1.4,0> 1.1 texture{pigment{color White}}}
             cylinder{<-1.99,1.4,0><-1.9,1.4,0> 1.12 texture{T_Wood13}}
             cylinder{<1.9,1.4,0><1.99,1.4,0> 1.12 texture{T_Wood13}}
             cylinder{<-.95,1.4,0><-.85,1.4,0> 1.12 texture{T_Wood13}}
             cylinder{<.85,1.4,0><.95,1.4,0> 1.12 texture{T_Wood13}}
             cylinder{<-.05,1.4,0><.05,1.4,0> 1.12 texture{T_Wood13}}
           }
           box{<-1.95,.25,-.95><1.95,1.5,.95> texture{T_Wood13}}
           cylinder{<-1.95,1.4,0><1.95,1.4,0> 1.05 texture{T_Wood13}}
           box{<-1.8,1.1,-1.5><-1,1.8,1.5> texture{pigment{color White}}}
           box{<1,1.1,-1.5><1.8,1.8,1.5> texture{pigment{color White}}}
           box{<-.8,1.1,-1.5><-.1,1.8,1.5> texture{pigment{color White}}}
           box{<.1,1.1,-1.5><.8,1.8,1.5> texture{pigment{color White}}}
           box{<-2.2,.3,-.3><-1.9,1.8,.3> texture{T_Wood13}}  // rear door
         }
         #declare Count=-1.75;
         #while (Count<=1.75)
                 box{<Count,.1,-.95><Count+.1,.2,.95> texture{T_Wood13}}
                 box{<Count,.2,-1.01><Count+.1,.96,-.90> texture{T_Wood13}}
                 box{<Count,.2,.90><Count+.1,.96,1.01> texture{T_Wood13}}
                #declare Count=Count+.5;
         #end
        object{Rear_Door translate<-2,.3,0>}
        object{Rear_Stairs translate<-2.17,-.28,0>}
}
#declare Wagon2=union{
        object{Wagon_Frame_Front}
        object{Wagon_Wheel translate<0,.05,-1.05>}
        object{Wagon_Wheel translate<0,.05,1.05>}
        object{Wagon_Frame_2 translate<-1.5,0,0> }
        object{Wagon_Frame_Axel_Mount translate<-3.5,0,0> }
        object{Carriage translate<-2.5,.7,0>}
        object{Wagon_Wheel translate<-1.5,.05,-1.05>}
        object{Wagon_Wheel translate<-1.5,.05,1.05>}
        object{Wagon_Wheel translate<-3.5,.05,-1.05>}
        object{Wagon_Wheel translate<-3.5,.05,1.05>}
}


#declare Wagon2Horse=union{
// object{Wagon1 rotate<0,180,0> translate<0,.5,0>}
// object{WagonDriver rotate<0,90,0> translate<-.25,1.2,0>}
 object{Horse1 translate<-2,-.5,-.66> scale 1}
 object{Horse2 translate<-2,-.5,.66> scale 1}
 rotate<0,180,0> translate<0,-.5,0>
}
#declare Wagon4Horse=union{
// object{Wagon2 }
// object{WagonDriver rotate<0,90,0> translate<-.25,1.2,0>}
 object{Horse4 translate<-2,-.5,-.66> scale 1}
 object{Horse2 translate<-2,-.5,.66> scale 1}
 object{Horse4 translate<-4.2,-.5,-.66> scale 1}
 object{Horse1 translate<-4.2,-.5,.66> scale 1}
 rotate<0,180,0> translate<0,-.5,0>
}
